' Copyright (C) 2025  P4pillon.org
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU Affero General Public License as
' published by the Free Software Foundation, either version 3 of the
' License, or (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU Affero General Public License for more details.
'
' You should have received a copy of the GNU Affero General Public License
' along with this program.  If not, see <https://www.gnu.org/licenses/>.
Public Class Ordonnancier_Inscription
    Public pour_vente_directe As Boolean

    Private Sub Ordonnancier_Inscription_Load(sender As Object, e As EventArgs) Handles Me.Load
        If pour_vente_directe = False And COMPTOIR_MAIN.RetrocessionToolStripMenuItem.Checked = False Then
            Dim prescripteurdata = Me.PrescripteursTableAdapter1.GetPrescripteurDataByIDinterne(CurrentFactureVitale.IDPrescripteur)
            Prescripteur_nom_TextBox.Text = prescripteurdata(0).NomPrénom
            Prescripteur_Adresse_TextBox.Text = prescripteurdata(0).Adresse
            Prescripteur_Spécialité_TextBox.Text = Traduction_CodeSpécialité_Prescripteur(prescripteurdata(0).CodeSpécialité)
            Prescripteur_Num_TextBox.Text = prescripteurdata(0).Numidentification

            Bénéficiaire_nom_TextBox.Text = COMPTOIR_MAIN.ComboBoxLECTURE_VITALE.Text
            'Bénéficiaire_adresse_TextBox.Text = CurrentBenéficiaire.G104C4 + " " + CurrentBenéficiaire.G104C5 + " " + CurrentBenéficiaire.G104C6 + " " + CurrentBenéficiaire.G104C7 + " " + CurrentBenéficiaire.G104C8
            Bénéficiaire_adresse_TextBox.Text = COMPTOIR_MAIN.Vitale_adresse_TextBox.Text
        End If
        Dim datagridviewRowIndex As Integer
        For r = 0 To COMPTOIR_MAIN.Vente.Rows.Count - 1

            Dim x As String = COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VenteListe.Index, r).Value
            Select Case x
                Case "Liste 1", "Liste 2", "Stupéfiant"
                    DataGridView1.Rows.Add()
                    DataGridView1.Item(Produits_column.Index, datagridviewRowIndex).Value = COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.Vente_produits.Index, r).Value
                    If tab_Lignes_Vente(r).deconditionement = True Then
                        DataGridView1.Item(Produits_column.Index, datagridviewRowIndex).Value = COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.Vente_produits.Index, r).Value
                        DataGridView1.Item(Quantité_Column.Index, datagridviewRowIndex).Value = tab_Lignes_Vente(r).deconditionement_quantité
                    Else
                        DataGridView1.Item(Produits_column.Index, datagridviewRowIndex).Value = COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.Vente_produits.Index, r).Value
                        DataGridView1.Item(Quantité_Column.Index, datagridviewRowIndex).Value = COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VenteQuantité.Index, r).Value
                    End If
                    DataGridView1.Item(Liste_Column.Index, datagridviewRowIndex).Value = COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VenteListe.Index, r).Value
                    datagridviewRowIndex = datagridviewRowIndex + 1
            End Select
        Next




    End Sub

    Private Sub OK_Button_Click(sender As Object, e As EventArgs) Handles OK_Button.Click
        If Bénéficiaire_nom_TextBox.Text = "CERFA CERFA" Or Bénéficiaire_nom_TextBox.Text = "" Then
            Me.Visible = True
            Me.BringToFront()
            Exit Sub
        End If

        For r = 0 To DataGridView1.Rows.Count - 1
            Select Case DataGridView1.Item(Liste_Column.Index, r).Value
                Case "Liste 1", "Liste 2"
                    Me.Ordonnancier_ListeI_ListeIITableAdapter.Insert(Me.Ordonnancier_ListeI_ListeIITableAdapter.SelectMaxNum + 1, Prescripteur_nom_TextBox.Text, Prescripteur_Adresse_TextBox.Text, _
                                                                      Prescripteur_Spécialité_TextBox.Text, Bénéficiaire_nom_TextBox.Text, Bénéficiaire_adresse_TextBox.Text, COMPTOIR_MAIN.DateExecution.Value, _
                                                                      DataGridView1.Item(Produits_column.Index, r).Value, Val(DataGridView1.Item(Quantité_Column.Index, r).Value), _
                                                                      Porteur_Ordonnance_nom_TextBox.Text + " " + Porteur_Ordonnance_Adresse_TextBox.Text, Prescripteur_Num_TextBox.Text)

                Case "Stupéfiant"
                    Me.Ordonnancier_StupéfiantsTableAdapter.Insert(Me.Ordonnancier_StupéfiantsTableAdapter.SelectMaxNum + 1, Prescripteur_nom_TextBox.Text, Prescripteur_Adresse_TextBox.Text, _
                                                                   Prescripteur_Spécialité_TextBox.Text, Bénéficiaire_nom_TextBox.Text, Bénéficiaire_adresse_TextBox.Text, COMPTOIR_MAIN.DateExecution.Value, _
                                                                   DataGridView1.Item(Produits_column.Index, r).Value, Val(DataGridView1.Item(Quantité_Column.Index, r).Value), _
                                                                   Porteur_Ordonnance_nom_TextBox.Text + " " + Porteur_Ordonnance_Adresse_TextBox.Text, Prescripteur_Num_TextBox.Text)
            End Select
        Next
        Me.Dispose()
    End Sub
End Class